---
updatedAt: 2026-08-06T09:46:04.000Z
---

# Poll For Result Using Function Invocation Request

Retrieves the status of an in-progress or pending request using its unique  invocation request ID. If the result is available, it will be included in  the response, marking the request as fulfilled. Conversely, if the result is  not yet available, the request is deemed pending. Access to this endpoint  mandates inclusion of either a bearer token or an api-key with  'invoke_function' scope in the HTTP Authorization header. In-progress responses are returned in order. If no in-progress response is received  during polling you will receive the most recent in-progress response. Only the first  256 unread in-progress messages are kept.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Cloud Functions",
    "termsOfService": "https://www.nvidia.com/en-us/legal_info",
    "contact": {
      "name": "NVIDIA",
      "url": "https://www.nvidia.com/"
    },
    "version": "2.87.3"
  },
  "servers": [
    {
      "url": "https://api.nvcf.nvidia.com",
      "description": "Generated server url"
    }
  ],
  "tags": [
    {
      "name": "Envelope Function Invocation",
      "description": "Defines endpoints that use an envelope to wrap the invocation payload for  Account Admins/Users. All the endpoints defined in this API require either a  bearer token or an api-key in the HTTP Authorization header with 'invoke_function'  scope. These endpoints have been deprecated. Please use pass-through function  invocation endpoints. "
    }
  ],
  "paths": {
    "/v2/nvcf/exec/status/{requestId}": {
      "get": {
        "tags": [
          "Envelope Function Invocation"
        ],
        "summary": "Poll For Result Using Function Invocation Request",
        "description": "Retrieves the status of an in-progress or pending request using its unique  invocation request ID. If the result is available, it will be included in  the response, marking the request as fulfilled. Conversely, if the result is  not yet available, the request is deemed pending. Access to this endpoint  mandates inclusion of either a bearer token or an api-key with  'invoke_function' scope in the HTTP Authorization header. In-progress responses are returned in order. If no in-progress response is received  during polling you will receive the most recent in-progress response. Only the first  256 unread in-progress messages are kept. ",
        "operationId": "getFunctionInvocationResult_1",
        "parameters": [
          {
            "name": "requestId",
            "in": "path",
            "description": "Function invocation request id",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Invocation is fulfilled",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InvokeFunctionResponse"
                }
              }
            }
          },
          "202": {
            "description": "Result is pending. Client should poll using the requestId.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InvokeFunctionResponse"
                }
              }
            }
          },
          "302": {
            "description": "Client should use the URL specified in the 'Location' response header to fetch  large result. ",
            "headers": {
              "Location": {
                "style": "simple",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InvokeFunctionResponse"
                }
              }
            }
          },
          "402": {
            "description": "Cloud credits expired for public functions. Please contact NVIDIA representatives.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InvokeFunctionResponse"
                }
              }
            }
          },
          "403": {
            "description": "Either missing scope in the auth(SSA JWT / SAK) token and/or missing resource entry  in the SAK for the function. ",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InvokeFunctionResponse"
                }
              }
            }
          }
        },
        "deprecated": true
      }
    }
  },
  "components": {
    "schemas": {
      "InvokeFunctionResponse": {
        "type": "object",
        "properties": {
          "reqId": {
            "type": "string",
            "description": "Request id",
            "format": "uuid"
          },
          "status": {
            "type": "string",
            "description": "Status of the task/job executing cloud function.",
            "enum": [
              "errored",
              "in-progress",
              "fulfilled",
              "pending-evaluation",
              "rejected"
            ]
          },
          "responseReference": {
            "type": "string",
            "description": "For large results, responseReference will be a pre-signeddownload URL.",
            "format": "url"
          },
          "percentComplete": {
            "type": "integer",
            "description": "Progress indicator for the task/job executing cloud function.",
            "format": "int32"
          },
          "errorCode": {
            "type": "integer",
            "description": "Error code from the container while executing cloud function.",
            "format": "int32"
          },
          "response": {
            "type": "string",
            "description": "Response/result of size < 5MB size for the task/job executing cloud function."
          }
        },
        "description": "Response body with result from a request for executing a job/task as a cloud function using a GPU powered spot/on-demand instance."
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```